=== debian/changelog ===
orthanc (0.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 17 Dec 2012 09:35:27 +0100

orthanc (0.2.3-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Oct 2012 16:35:11 +0200

orthanc (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #689029)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 04 Oct 2012 12:47:52 +0200
