=== debian/control ===
Source: orthanc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Standards-Version: 3.9.3
Homepage: https://code.google.com/p/orthanc/
Build-Depends: debhelper (>= 9), cmake (>= 2.8), initscripts (>= 2.88dsf-13.3), unzip, uuid-dev, libssl-dev, zlib1g-dev, libpng-dev, libboost-all-dev, libwrap0-dev, libgoogle-glog-dev, libcurl4-openssl-dev | libcurl4-dev, libdcmtk2-dev, libsqlite3-dev, libjsoncpp-dev, libgtest-dev
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/orthanc/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/orthanc/trunk/

Package: orthanc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dcmtk
Description: RESTful DICOM server for healthcare and medical research
 Orthanc aims at providing a simple, yet powerful standalone DICOM
 server. Orthanc can turn any computer running Windows or Linux into a
 DICOM store (in other words, a mini-PACS system). Its architecture is
 lightweight, meaning that no complex database administration is
 required, nor the installation of third-party dependencies.
 .
 What makes Orthanc unique is the fact that it provides a RESTful
 API. Thanks to this major feature, it is possible to drive Orthanc
 from any computer language. The DICOM tags of the stored medical
 images can be downloaded in the JSON file format. Furthermore,
 standard PNG images can be generated on-the-fly from the DICOM
 instances by Orthanc.
 .
 Orthanc lets its users focus on the content of the DICOM files,
 hiding the complexity of the DICOM format and of the DICOM protocol.
