=== debian/changelog ===
orthanc (0.5.2-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version: 0.5.2

  [ Mathieu Malaterre ]
  * Use boost1.53 explicitely, until #704032 happens

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 08 May 2013 14:27:23 +0200

orthanc (0.5.1-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version: 0.5.1
  * Handle RGB DICOM. Closes: #698417

  [ Mathieu Malaterre ]
  * Remove patches applied upstrea:
    + debian/patches/cmake-new-platforms
    + debian/patches/freebsd-hurd-fixes

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 17 Apr 2013 14:23:03 +0200

orthanc (0.5.0-2) unstable; urgency=low

  * Fixes for kFreeBSD and Hurd

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 07 Mar 2013 10:20:15 +0100

orthanc (0.5.0-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version.

  [ Mathieu Malaterre ]
  * Team upload.
  * Add README.Debian to get started with Orthanc
  * (wrap-and-sort): Fix B-D for libgtest-dev. Closes: #698415
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove unzip from B-D (not needed)
  * Cleanup d/rules (-DNDEBUG in build logs)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 05 Mar 2013 12:38:03 +0100
