=== debian/control ===
--- 
+++ 
@@ -3,15 +3,30 @@
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://code.google.com/p/orthanc/
-Build-Depends: debhelper (>= 9), cmake (>= 2.8), initscripts (>= 2.88dsf-13.3), unzip, uuid-dev, libssl-dev, zlib1g-dev, libpng-dev, libboost-all-dev, libwrap0-dev, libgoogle-glog-dev, libcurl4-openssl-dev | libcurl4-dev, libdcmtk2-dev, libsqlite3-dev, libjsoncpp-dev, libgtest-dev
+Build-Depends: cmake (>= 2.8),
+               debhelper (>= 9),
+               initscripts (>= 2.88dsf-13.3),
+               libboost1.53-all-dev,
+               libcurl4-openssl-dev | libcurl4-dev,
+               libdcmtk2-dev,
+               libgoogle-glog-dev,
+               libgtest-dev (>= 1.6.0),
+               libjsoncpp-dev,
+               liblua5.1-0-dev (>= 5.1.0),
+               libpng-dev,
+               libsqlite3-dev,
+               libssl-dev,
+               libwrap0-dev,
+               uuid-dev,
+               zlib1g-dev
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/orthanc/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/orthanc/trunk/
 
 Package: orthanc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dcmtk
+Depends: adduser, dcmtk, ${misc:Depends}, ${shlibs:Depends}
 Description: RESTful DICOM server for healthcare and medical research
  Orthanc aims at providing a simple, yet powerful standalone DICOM
  server. Orthanc can turn any computer running Windows or Linux into a
