## orthanc 0.6.2

=== debian/changelog ===
orthanc (0.6.2-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version: 0.6.2
  * Packaging of the Orthanc Client library (liborthancclient*)
  * Fix licensing issue with the SHA-1 library. Closes: #724947

  [ Andreas Tille ]
  * debian/control: use anonscm in Vcs fields

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Oct 2013 10:56:38 +0200

orthanc (0.6.1-1) unstable; urgency=low

  * New upstream version: 0.6.1

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 16 Sep 2013 15:13:44 +0200

orthanc (0.6.0-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version: 0.6.0
  * Fix image preview. Closes: #716958
  * Fix missing copyright information. Closes: #712038
  * Remove explicit dependency on boost1.53

  [ Mathieu Malaterre ]
  * Remove RelWithDebInfo, because of change in behavior in cmake

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 17 Jul 2013 10:55:49 +0200
