=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
                initscripts (>= 2.88dsf-13.3),
-               libboost1.53-all-dev,
+               libboost-all-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                libdcmtk2-dev,
                libgoogle-glog-dev,
@@ -20,9 +20,10 @@
                libssl-dev,
                libwrap0-dev,
                uuid-dev,
-               zlib1g-dev
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/orthanc/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/orthanc/trunk/
+               zlib1g-dev,
+	       doxygen
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc/trunk/
 
 Package: orthanc
 Architecture: any
@@ -43,3 +44,36 @@
  .
  Orthanc lets its users focus on the content of the DICOM files,
  hiding the complexity of the DICOM format and of the DICOM protocol.
+
+Package: liborthancclient0.6
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Orthanc Client runtime library
+ Orthanc Client is a library to access the content of a remote
+ instance of Orthanc. Orthanc is a lightweight, RESTful DICOM server
+ for healthcare and medical research.
+ .
+ This package includes the client library.
+
+Package: liborthancclient-dev
+Architecture: any
+Section: libdevel
+Depends: liborthancclient0.6 (= ${binary:Version}), ${misc:Depends}
+Description: Orthanc Client development files
+ Orthanc Client is a library to access the content of a remote
+ instance of Orthanc. Orthanc is a lightweight, RESTful DICOM server
+ for healthcare and medical research.
+ .
+ This package includes the header files for C++ code.
+
+Package: liborthancclient-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Orthanc Client documentation
+ Orthanc Client is a library to access the content of a remote
+ instance of Orthanc. Orthanc is a lightweight, RESTful DICOM server
+ for healthcare and medical research.
+ .
+ This package includes the documentation and the sample codes.
