=== debian/changelog ===
orthanc (0.7.2-1) unstable; urgency=low

  [ Sebastien Jodogne ]
  * New upstream version: 0.7.2
  * Support big-endian architectures. Closes: #728822

  [ Andreas Tille ]
  * debian/control:
     - Build-Depends: unzip
     - Standards-Version: 3.9.5

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 03 Dec 2013 11:30:41 +0100
