=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://code.google.com/p/orthanc/
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
@@ -21,7 +21,8 @@
                libwrap0-dev,
                uuid-dev,
                zlib1g-dev,
-	       doxygen
+	       doxygen,
+               unzip
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc/trunk/
 
@@ -45,7 +46,7 @@
  Orthanc lets its users focus on the content of the DICOM files,
  hiding the complexity of the DICOM format and of the DICOM protocol.
 
-Package: liborthancclient0.6
+Package: liborthancclient0.7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,7 +60,7 @@
 Package: liborthancclient-dev
 Architecture: any
 Section: libdevel
-Depends: liborthancclient0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: liborthancclient0.7 (= ${binary:Version}), ${misc:Depends}
 Description: Orthanc Client development files
  Orthanc Client is a library to access the content of a remote
  instance of Orthanc. Orthanc is a lightweight, RESTful DICOM server
