=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,8 @@
 	-DCMAKE_SKIP_RPATH=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
-	-DUSE_DYNAMIC_JSONCPP:BOOL=ON \
-	-DUSE_DYNAMIC_LUA:BOOL=ON \
-	-DUSE_DYNAMIC_MONGOOSE:BOOL=OFF \
-	-DDEBIAN_USE_GTEST_SOURCE_PACKAGE:BOOL=ON \
+	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
+	-DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
 	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk2 \
 	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
