=== debian/watch ===
version=3
http://code.google.com/p/orthanc/downloads/list?can=1 .*/Orthanc-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
